package model

import (
	"math/big"
)

type Block struct {
	CreatedAt uint64
	No        int64
	Hash 	  string
	TxCnt     int
	UncleCnt  int
	Miner     string
	GasUsed   uint64
	GasLimit  uint64
	Reward    *big.Int
}

type Tx struct {
	CreatedAt   uint64
	BlockNumber string
	Hash        string
	From        string
	To          string
	Type        string
	Value       string
	Gas         string
	GasPrice    string
	Input       string
}

type Call struct {
	From  string
	To    string
	Type  string
	Value string
	Input string
	GasUsed string
	Gas string
	Error string
}
